Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.db
Enum OdfIsNullableType

    java.lang.Object
      java.lang.Enum<OdfIsNullableType>
          org.odftoolkit.odfdom.dom.type.db.OdfIsNullableType

All Implemented Interfaces:
  Serializable, Comparable<OdfIsNullableType>

    public enum OdfIsNullableType

extends Enum<OdfIsNullableType>

DOM implementation of OpenDocument attribute db:is-nullable.

Enum Constant Summary
`NO_NULLS`
`NULLABLE`

Method Summary
`static OdfIsNullableType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfIsNullableType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfIsNullableType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfIsNullableType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NULLABLE

    public static final OdfIsNullableType NULLABLE

### NO_NULLS

    public static final OdfIsNullableType NO_NULLS

Method Detail

### values

    public static OdfIsNullableType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfIsNullableType c : OdfIsNullableType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfIsNullableType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfIsNullableType>`
  Returns:
    return the name of OdfIsNullableType

### toString

    public static String toString(OdfIsNullableType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfIsNullableType, see db:is-nullable
  Returns:
    return the name of OdfIsNullableType

### enumValueOf

    public static OdfIsNullableType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfIsNullableType
  Returns:
    return the constant of OdfIsNullableType, see db:is-nullable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.